Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354706 - [RFE]Create affinity rules in RHEV-M based on Regex
Summary: [RFE]Create affinity rules in RHEV-M based on Regex
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.6.5
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
: ---
Assignee: Scott Herold
QA Contact: Artyom
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-12 01:45 UTC by nijin ashok
Modified: 2017-08-15 11:40 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-15 11:40:07 UTC
oVirt Team: SLA


Attachments (Terms of Use)

Description nijin ashok 2016-07-12 01:45:51 UTC
- What is the nature and description of the request?

I would like to be able to create affinity rules based on a pattern - could be regex or some other implementation.

For example we have a consistent naming system like the following:
samename-01
samename-02
samename-03 
othername-01a
othername-01b
othername-02c

It would be convenient to write an anti affinity rule for those patterns instead of having to create a rule every time I deploy a new application.  We would just have to keep our naming scheme consistent.

Comment 4 Doron Fediuck 2016-07-12 11:54:19 UTC
First of all, you can use labels now to set affinity rules using the REST API.
This means you can already script it and use regex as you see fit.

My question ism since this is targeting anti-affinity, how can you tell this will not create a set of conflicts?
This basically will prevent from any related vm to start.

By doing things in a manual way (even when writing a script) you should be able to verify you set only the relevant VMs.

Comment 5 nijin ashok 2016-07-19 21:26:08 UTC
(In reply to Doron Fediuck from comment #4)
> First of all, you can use labels now to set affinity rules using the REST
> API.
> This means you can already script it and use regex as you see fit.
> 
> My question ism since this is targeting anti-affinity, how can you tell this
> will not create a set of conflicts?
> This basically will prevent from any related vm to start.
> 
> By doing things in a manual way (even when writing a script) you should be
> able to verify you set only the relevant VMs.

I am checking with the customer if labels suits his requirement.

Comment 7 Moran Goldboim 2017-08-15 11:40:07 UTC
this requirement could be fulfilled with API calls or an Ansible playbook to interact and perform this action. and pragmatically perform this action, which seems very specific to this customer, and currently looks like out of functionality scope of RHV.

for more details around it please check:
-http://docs.ansible.com/ansible/latest/ovirt_affinity_groups_module.html
-http://docs.ansible.com/ansible/latest/ovirt_affinity_labels_module.html


Note You need to log in before you can comment on or make changes to this bug.